dvb_desc_ca_identifier Struct Reference
Parsers for several MPEG-TS descriptors

Indicates if a particular bouquet, service or event is associated with a CA system. More...

`#include <desc_ca_identifier.h>`

## Data Fields

uint8_t | type
uint8_t | length
struct dvb_desc * | next
uint8_t | caid_count
uint16_t * | caids

## Detailed Description

Indicates if a particular bouquet, service or event is associated with a CA system.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  caid_count | Number of CA IDs
  caids | CA Identifier IDs

Definition at line 53 of file desc_ca_identifier.h.

## Field Documentation

## caid_count

uint8_t dvb_desc_ca_identifier::caid_count

Definition at line 58 of file desc_ca_identifier.h.

## caids

uint16_t* dvb_desc_ca_identifier::caids

Definition at line 59 of file desc_ca_identifier.h.

## length

uint8_t dvb_desc_ca_identifier::length

Definition at line 55 of file desc_ca_identifier.h.

## next

struct dvb_desc* dvb_desc_ca_identifier::next

Definition at line 56 of file desc_ca_identifier.h.

## type

uint8_t dvb_desc_ca_identifier::type

Definition at line 54 of file desc_ca_identifier.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_ca_identifier.h